VARKON Version 1.15 1997-10-24

> ## cre_men - Procedure

> Creates a menu
> Description
> Creates a menu with heading (name) and alternatives. If a menu with the same number already exists it is overwritten (replaced).
> Syntax
> cre_men(number, name, alt1, action1, alt2, action2.........)

> INT | number;
> STRING | name*132;
> STRING | alt1*132;
> STRING | action1*6;
> STRING | alt2*132;
> STRING | action2*6;
> . |
> . |

> Principal parameters

> number | - The menu number
> name | - The menu name. If name = "" (null string) no menu is created and any previous menu
> | with the same number is deleted.
> alt1 | - The alternative to be displayed as line 1 of the menu
> action1 | - The action to take place if alt1 is selected

> Optional parameters

> alt2 | - Line 2 in the menu
> action2 | - The action to take place if line 2 is selected
> . |
> . |

> A menu may consist of any number of alternatives as long as it fits the screen.
> Examples
> cre_men(250, "MATERIAL", "steel", "a1", "plywood", "a2", "GRP", "a3", "aluminum", "a4");
> A menu with four alternatives.
> Comments
> For a complete description of menus and action codes see the documentation of the MDF-file.

VARKON Homepage | Index